Package com.google.android.exoplayer2.trackselection

## Class AdaptiveTrackSelection.AdaptationCheckpoint

- java.lang.Object
- - com.google.android.exoplayer2.trackselection.AdaptiveTrackSelection.AdaptationCheckpoint

- Enclosing class:
    AdaptiveTrackSelection

      public static final class AdaptiveTrackSelection.AdaptationCheckpoint
      extends Object

  Checkpoint to determine allocated bandwidth.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `long` | `allocatedBandwidth` | Allocated bandwidth at this checkpoint in bits per second.
    `long` | `totalBandwidth` | Total bandwidth in bits per second at which this checkpoint applies.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AdaptationCheckpoint​(long totalBandwidth, long allocatedBandwidth)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### totalBandwidth

          public final long totalBandwidth

      Total bandwidth in bits per second at which this checkpoint applies.

    - #### allocatedBandwidth

          public final long allocatedBandwidth

      Allocated bandwidth at this checkpoint in bits per second.

  - ### Constructor Detail

    - #### AdaptationCheckpoint

          public AdaptationCheckpoint​(long totalBandwidth,
                                      long allocatedBandwidth)

  - ### Method Detail

    - #### equals

          public boolean equals​(@Nullable
                                Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`